a2i(3)

Name
a2i - convert a string to an integer

Library
String-to-integer library (liba2i, -la2i)

Synopsis
#include <a2i/a2i/a2i.h>

int
a2i( TYPE, TYPE *restrict n, QChar *s,
QChar **_Nullable restrict endp, int base,
TYPE min, TYPE max);

Description
This macro is like a2s(3) and a2u(3), but works with all integer types.

See also
a2s(3), a2u(3), str2i(3), str2s(3), str2u(3)